/*
 Main rendering file for Costa-Hoffman-Meeks
 minimal surface
 By Tore Nordstrand
 nfytn@alf.uib.no
Look at homepage
http://www.uib.no/People/nfytn/mathgal.htm
for more info
 */

/*
Pov3 Parametric equation template-

*/
#include "colors.inc"
//#include "stones.inc"
//#include "textures.inc"
#version 3.0
global_settings { assumed_gamma 1.0 }
/*
Put any other constants in the eqns. here
*/
#declare uiter = 25           //Number of steps (lengthwise)
#declare viter = 25           //and across. Edit these for better res.
#declare E = 2.718281828
#declare vmin  = 0         //Endpoints in the
#declare vmax  = 0.5         //parametric rectangle.
#declare umin  = 0           //I.e. min and max uu and vv
#declare umax  = 0.5

//Simple textures for triangles
#declare simple1 =  texture{
                      pigment {checker color Gray60, color White}
                      finish {ambient 0.4 specular 0.5 roughness 0.05 }
                      scale 0.15
                            }
#declare simple2 =  texture{
                      pigment {leopard color_map{[0 color Red]
                                                 [0.33 color Red]
                                                 [0.66 color Yellow]
                                                 [1 color Red]  }
                                                 }
                      finish {ambient 0.7 
                               specular 0.5 
                              phong 0.2
                              phong_size 200
                            diffuse 0.4    
                            roughness 0.3 }
                   scale 0.2             
                  }
//Lights, camera, action
camera
{ location  < 15, 9,-15>
  direction  1*z
  look_at   < 0, 0, 0>
} 

light_source { <-10, 29,-19> color rgb 1 }
light_source { <23, 20, -15> color rgb 1 }
object {box{-30,30 inverse}pigment{color rgb 0.8}}



//OBJECT DECLARED HERE 
#include "costa.inc"
//Returns a mesh named surface
object{ surface
        texture{simple2}// T_Stone18}
rotate <90,0,0>     //This is just changing the
rotate <0,180,0>     //coordinate system.
clipped_by{sphere{<0,0,0>,2.8}}
bounded_by{sphere{<0,0,0>,3}}
scale 2.2
}



